Bug 821757 - gettext: Gnulib bundled but no bundled(gnulib) provides
gettext: Gnulib bundled but no bundled(gnulib) provides
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gettext (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:52 EDT by Mikolaj Izdebski
Modified: 2012-06-13 17:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-09 21:30:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-15 09:52:17 EDT
A bundled copy of Gnulib - The GNU Portability Library [1] was found in
gettext. No Bundled Libraries section [2] of Packaging guidelines
gives more information on bundled libraries and how they should be handled.

Affected gettext version: gettext-0.18.1.1-12.fc17

As a kind of copylib, Gnulib has been granted an exception. However, to comply
with Packaging guidelines, packages bundling Gnulib must note that the library
has been granted an exception in the spec file comment with a link to the FPC
ticket where the exception was granted and add a virtual provide to the spec
file to note that Gnulib is bundled. Refer to [2] for more details.

No comment about bundling Gnulib and no virtual provide were found in the
gettext.spec file. To comply with the packaging guideliness please
add an appropriate comment to the spec file as well as a virtual provide.

Source tarball where bundled Gnulib was found:
    gettext-0.18.1.1.tar.gz

At least the following files look like Gnulib files:
    ./gettext-0.18.1.1/gettext-tools/gnulib-m4/00gnulib.m4
    ./gettext-0.18.1.1/gettext-runtime/gnulib-m4/00gnulib.m4
    ./gettext-0.18.1.1/gettext-runtime/libasprintf/gnulib-m4/00gnulib.m4
    ./gettext-0.18.1.1/gettext-tools/gnulib-m4/gnulib-comp.m4
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/term-styled-ostream.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/styled_ostream.priv.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/html_ostream.priv.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/html-ostream.c
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/ostream.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/uniname/gen-uninames.lisp
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/uniname/uninames.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/Makefile.gnulib
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/file-ostream.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/file-ostream.c
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/html_styled_ostream.vt.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/styled_ostream.vt.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/file_ostream.priv.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/term_styled_ostream.vt.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/term_ostream.priv.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/file_ostream.vt.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/fd-ostream.c
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/unilbrk/lbrkprop1.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/unilbrk/lbrkprop2.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/ostream.c
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/term-ostream.c
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/html-styled-ostream.c
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/html-styled-ostream.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/styled-ostream.c
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/term-styled-ostream.c
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/html_styled_ostream.priv.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/fd-ostream.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/styled-ostream.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/term_styled_ostream.priv.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/Makefile.in
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/term_ostream.vt.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/ostream.vt.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/fd_ostream.vt.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/term-ostream.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/ostream.priv.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/html_ostream.vt.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/fd_ostream.priv.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-lib/html-ostream.h
    ./gettext-0.18.1.1/gettext-tools/libgrep/Makefile.gnulib
    ./gettext-0.18.1.1/gettext-tools/libgrep/gnulib-m4/gnulib-comp.m4
    ./gettext-0.18.1.1/gettext-tools/libgrep/Makefile.in
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/ostream.h
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/Makefile.gnulib
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/file-ostream.h
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/file-ostream.c
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/file_ostream.priv.h
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/file_ostream.vt.h
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/unilbrk/lbrkprop1.h
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/unilbrk/lbrkprop2.h
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/ostream.c
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/gnulib-m4/gnulib-comp.m4
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/Makefile.in
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/Makefile.am
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/ostream.vt.h
    ./gettext-0.18.1.1/gettext-tools/libgettextpo/ostream.priv.h
    ./gettext-0.18.1.1/gettext-tools/gnulib-tests/Makefile.gnulib
    ./gettext-0.18.1.1/gnulib-local/modules/libglib
    ./gettext-0.18.1.1/gnulib-local/modules/libxml
    ./gettext-0.18.1.1/gnulib-local/build-aux/moopp
    ./gettext-0.18.1.1/gettext-runtime/gnulib-m4/gnulib-comp.m4
    ./gettext-0.18.1.1/gettext-runtime/gnulib-lib/Makefile.in
    ./gettext-0.18.1.1/gettext-runtime/gnulib-lib/Makefile.am
    ./gettext-0.18.1.1/gettext-runtime/libasprintf/Makefile.gnulib
    ./gettext-0.18.1.1/gettext-runtime/libasprintf/gnulib-m4/gnulib-comp.m4
    ./gettext-0.18.1.1/gettext-runtime/libasprintf/Makefile.in
    ./gettext-0.18.1.1/build-aux/moopp

There are most likely more Gnulib files bundled in the SRPM. I didn't bother
to list them all as it shouldn't be necessary.


[1] http://www.gnu.org/software/gnulib/
[2] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Jens Petersen 2012-05-16 21:22:59 EDT
Thanks for the report.

To be honest I don't really know why gnulib has to be bundled:
is it a bootstrapping issue?

Anyway sure I will fix this.
Comment 2 Jens Petersen 2012-05-16 21:49:23 EDT
This should be fixed in gettext-0.18.1.1-13.fc18.
I can certainly backport to F17 if that is desirable.

I added unversioned provides bundled(gnulib) to the base package.
I hope that is sufficient - gnulib is not released so I don't
know the version number - a datestamp might be possible...
Comment 3 Fedora Update System 2012-06-01 02:50:18 EDT
gettext-0.18.1.1-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gettext-0.18.1.1-14.fc17
Comment 4 Fedora Update System 2012-06-01 02:50:25 EDT
gettext-0.18.1.1-9.1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gettext-0.18.1.1-9.1.fc16
Comment 5 Fedora Update System 2012-06-01 02:51:29 EDT
gettext-0.18.1.1-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gettext-0.18.1.1-14.fc17
Comment 6 Fedora Update System 2012-06-01 12:51:22 EDT
Package gettext-0.18.1.1-9.1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gettext-0.18.1.1-9.1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8673/gettext-0.18.1.1-9.1.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-06-09 21:30:57 EDT
gettext-0.18.1.1-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-06-13 17:32:54 EDT
gettext-0.18.1.1-9.1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.